require_relative 'initializer'
require 'thor'

module CodeFormatter
  class CLI < Thor
    desc 'init', 'create sample config'
    def init
      Initializer.init
    end

    desc 'format', 'description goes here'
    option :config, default: Initializer.initialized_config, aliases: '-c', type: :string, desc: 'configuration file'
    def format
      puts 'Run Forrest! Ruuun!'
    end
  end
end
